curl --request POST \
--url https://api.formabledocs.com/v1/signature-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "abc123xyz",
"signers": [
{
"email": "jane@example.com",
"name": "Jane Doe",
"role": "Client"
},
{
"email": "bob@example.com",
"name": "Bob Smith",
"role": "Witness"
}
],
"testMode": true
}
'{
"signatureRequestId": "abc123xyz",
"templateId": "tmpl_123",
"signers": [
{
"email": "jsmith@example.com",
"name": "<string>",
"recipientSignatureId": "rsig_abc123"
}
],
"sender": {
"email": "jsmith@example.com",
"name": "<string>"
},
"status": "Created",
"testMode": true,
"fields": [
{
"fieldId": "field_name",
"type": "text",
"required": true,
"filled": true,
"recipientSignatureId": "<string>",
"value": "<unknown>",
"label": "<string>",
"role": "<string>",
"unit": "<string>",
"signedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Missing signer for role \"Client\" required by template fields"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to create a signature request for this template"
}{
"error": "Template not found for id abc123xyz"
}{
"error": "Internal server error"
}Create a regular signature request
Creates a signature request for a template with one or more signers and emails each signer a signing link (same delivery path as sharing from the Formable platform).
If template fields have assigned roles, signers must include a signer for each of those roles. Requires signers (array of email, name, and role, in signing order). Optional sender (email and name); when omitted, sender defaults to the API key organization owner. Optionally accepts a fields array to pre-fill template fields. You do not need to create signing URLs; Formable emails each signer.
curl --request POST \
--url https://api.formabledocs.com/v1/signature-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "abc123xyz",
"signers": [
{
"email": "jane@example.com",
"name": "Jane Doe",
"role": "Client"
},
{
"email": "bob@example.com",
"name": "Bob Smith",
"role": "Witness"
}
],
"testMode": true
}
'{
"signatureRequestId": "abc123xyz",
"templateId": "tmpl_123",
"signers": [
{
"email": "jsmith@example.com",
"name": "<string>",
"recipientSignatureId": "rsig_abc123"
}
],
"sender": {
"email": "jsmith@example.com",
"name": "<string>"
},
"status": "Created",
"testMode": true,
"fields": [
{
"fieldId": "field_name",
"type": "text",
"required": true,
"filled": true,
"recipientSignatureId": "<string>",
"value": "<unknown>",
"label": "<string>",
"role": "<string>",
"unit": "<string>",
"signedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Missing signer for role \"Client\" required by template fields"
}{
"error": "Auth token not valid"
}{
"error": "Client not authorized to create a signature request for this template"
}{
"error": "Template not found for id abc123xyz"
}{
"error": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The ID of the template to create a signature request for
"abc123xyz"
People who will receive a signing email, in signing order. Must cover every role assigned to fields on the template.
1Show child attributes
Show child attributes
Optional. Who is sending the request. When omitted, defaults to the API key organization owner.
Show child attributes
Show child attributes
Optional flag to mark the signature request as a test. Test mode requests are not counted toward billing
false
Optional array of fields to pre-fill in the template
Show child attributes
Show child attributes
Response
Signature request created successfully and signing emails dispatched
The unique identifier of the created signature request
"abc123xyz"
"tmpl_123"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Created, Completed, Expired "Created"
true
Envelope fields with current values. Signature image data is never returned.
Show child attributes
Show child attributes